Bug 161419 - Kernel BUG at spinlock:121
Kernel BUG at spinlock:121
Status: CLOSED DUPLICATE of bug 161059
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 03:28 EDT by Tom Hughes
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-07 20:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2005-06-23 03:28:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Kernel BUG at spinlock:121
invalid operand: 0000 [1] SMP
CPU 0
Modules linked in: nfs lockd md5 ipv6 parport_pc lp parport autofs4 eeprom i2c_sensor i2c_amd756 sunrpc video button battery ac ohci1394 ieee1394 ohci_hcd ehci_hcd i2c_amd8111 i2c_core hw_random snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc tg3 dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod aic79xx sd_mod scsi_mod
Pid: 11939, comm: rm Not tainted 2.6.11-1.35_FC3smp
RIP: 0010:[<ffffffff8033fc80>] <ffffffff8033fc80>{_spin_lock+32}
RSP: 0000:ffff8100197b5d58  EFLAGS: 00010296
RAX: 0000000000000016 RBX: ffffffff804ae0a4 RCX: ffffffff8040d708
RDX: ffffffff8040d708 RSI: 0000000000000286 RDI: ffffffff8040d700
RBP: 0000000000000007 R08: ffff81007f9efb40 R09: 000000000000000f
R10: 0000000000000000 R11: ffffffff8011cd30 R12: 0000000000000200
R13: 0000000000000000 R14: ffffffff804ae0a0 R15: ffffffff804ae0a4
FS:  00002aaaaaad03e0(0000) GS:ffffffff804dd600(0000) knlGS:00000000f7f196c0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000400040 CR3: 000000003b7d6000 CR4: 00000000000006e0
Process rm (pid: 11939, threadinfo ffff8100197b4000, task ffff81000f47f790)
Stack: 0000000000000001 ffffffff80179b79 ffff81005f161738 0000000000400040
       ffff81001b51bc18 ffff810033d4a560 0000000000000000 2000000000000000
       ffff81007825b010 ffffffff8016e541
Call Trace:<ffffffff80179b79>{valid_swaphandles+121} <ffffffff8016e541>{swapin_readahead+49}
       <ffffffff8016ee36>{handle_mm_fault+598} <ffffffff80122994>{do_page_fault+1172}
       <ffffffff801707c5>{vma_link+133} <ffffffff80201ad1>{__up_write+49}
       <ffffffff8010f0a1>{error_exit+0}

Code: 0f 0b a8 fc 35 80 ff ff ff ff 79 00 f0 fe 0b 0f 88 b2 04 00
RIP <ffffffff8033fc80>{_spin_lock+32} RSP <ffff8100197b5d58>
 <3>swap_free: Bad swap file entry 2000000000000000
swap_free: Bad swap file entry 3000000000000000


Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.35_FC3

How reproducible:
Didn't try


Additional info:
Comment 1 Dave Jones 2005-07-07 20:23:23 EDT
This is very likely another symptom of what was causing the bad pmd bug, which
is now manifesting itself as bad swap file entries.  Bug 161059 is tracking
that, so I'll dupe this over there.



*** This bug has been marked as a duplicate of 161059 ***

Note You need to log in before you can comment on or make changes to this bug.